Bug 711 - Laptop backlight adjustment broken since 13.2 beta 3 (and still on 13.4 stable)
: Laptop backlight adjustment broken since 13.2 beta 3 (and still on 13.4 stable)
Status: NEW
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: Kernel Module
: 13.1
: Radeon HD 6000 Series Linux
: low major
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 03:31 CST by ianjo
Modified: 2014-05-06 10:55 CDT (History)
19 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ianjo 2013-02-08 03:31:37 CST
Description of problem:
After installing Catalyst 13.2 beta 3, I can no longer adjust the laptop backlight properly. Using the backlight keys, the ubuntu gui comes up with a bar growing/shrinking, but the backlight doesn't change.

Reverting to 13.1 "fixed" the issue, so it's definitely something with 13.2.

At least one other person is affected by this: http://phoronix.com/forums/showthread.php?77250-AMD-Catalyst-13-2-Beta-Driver-For-Linux-Released

Steps to reproduce:
1. Install 13.2
2. Try to adjust backlight

Actual result: 
Default setting stuck

Expected result:
Backlight adjusted
Comment 1 lbdkmjdf 2013-02-08 20:14:17 CST
Hi. This affect me too (I'm asdfblah in that thread).
This happens in 13.2 beta3.
Please, AMD. Just say SOMETHING about these bugs...
Comment 2 Pavel 2013-03-28 14:46:44 CDT
I approve. But I'm not sure if this bug is relevant to KDE or fglrx.
Comment 3 Anon11 2013-03-31 06:43:44 CDT
Workaround that works on HP - 6755g2 laptop - kde - arch linux - 13.3.4 catalyst

Keep on (randomly) increasing/decreasing brightness using fn keys.
Eventually it seems to switch between a few brightness levels, one of which 
is usable for me - takes 5 seconds to do it

Have to do it on each startup to reduce backlight.
Comment 4 ianjo 2013-03-31 08:14:02 CDT
U
Comment 5 ianjo 2013-03-31 08:14:25 CDT
(In reply to comment #4)
> U

*Updated to reflect that it's still broken on 13.3 beta 3... C'mon AMD...
Comment 6 Alexandr 2013-04-05 01:34:37 CDT
I have the same bug on 13.3 beta. 
On 13.1 brightness changed well, but bugly on shutdown & starting
thanks Anon11, so i can use this version)
HP 6620G, Ubuntu 12.10
Comment 7 Alexandr 2013-04-25 08:52:34 CDT
it's still broken on 13.4
Comment 8 ianjo 2013-04-25 13:02:41 CDT
I can confirm that too: 13.4 still broken. I love AMD hardware!
Comment 9 Shabang 2013-04-26 09:20:28 CDT
Did you guys tried to add acpi_backlight=vendor at kernel command line on grub or /etc/default/grub?
Comment 10 Jammy 2013-04-26 20:39:37 CDT
Can you provide the laptop model names you are using? Since backlight control is a platform feature, it may only be reproduced on some specific systems.

Btw, can you check xbacklight is working or not in your side?
Comment 11 Alexandr 2013-04-26 23:14:49 CDT
Model - HP Pavilion dv6z-6100
xbacklight - return/change system values, but not the actual backlight
Comment 12 ianjo 2013-04-27 04:37:16 CDT
Model: Lenovo Ideapad S205 10382JG (AMD E-350 / HD6310)
Backlight adjustment has worked with fglrx since I bought the machine in 2011, and up until (including) Catalyst 13.1. This includes xbacklight working.

With 13.4, xbacklight does not work. It reports the same (wrong) values as the ubuntu brightness change gui, but nothing happens when you set the value, it just changes the number and the backlight remains the same.

I also discovered that if I hold the brightness adjustment keys on the keyboard for long enough (sometimes 30+ seconds), at first nothing happens, and then it jumps to the minimum/maximum brightness, depending on which key (inc/dec) I was holding.

Testing with 'acpi_backlight=vendor' on the kernel command line also did not work. Worse, trying the "hold keys" method with this option just results in screen flickering to black during a frame or two every 10/15s, but no backlight changes.
Comment 13 phukariflux 2013-04-29 01:20:51 CDT
>Keep on (randomly) increasing/decreasing brightness using fn keys.


Confirming this workaround. It's easier to lower backlight brightness this way than it is to increase it.
Comment 14 Alexandr 2013-04-29 03:14:49 CDT
Found new way for change brightness: set value that you need and restart X-Server)
Comment 15 Pavel 2013-04-29 07:14:26 CDT
kubuntu 13.04. backlight adjustment works properly with fglrx 13.4.
Comment 16 Alexandr 2013-05-03 08:30:53 CDT
ubuntu 13.04. backlight adjustment not works properly
Comment 17 Anon11 2013-05-08 23:34:10 CDT
Laptop Model : HP dv6 - 6145ca

Better workaround to set brightness

 while :; do echo 5 > /sys/class/backlight/acpi_video0/brightness ; done 

from
 https://bbs.archlinux.org/viewtopic.php?pid=1269560#p1269560
Comment 18 ianjo 2013-05-12 15:45:03 CDT
(In reply to comment #17)
> Laptop Model : HP dv6 - 6145ca
> 
> Better workaround to set brightness
> 
>  while :; do echo 5 > /sys/class/backlight/acpi_video0/brightness ; done 
> 
> from
>  https://bbs.archlinux.org/viewtopic.php?pid=1269560#p1269560

I can confirm this hack works. I'm guessing that the reason it works is because it is similar to the holding down the brightness keys for a while, but it is definitely faster.
Comment 19 ianjo 2013-07-24 19:15:39 CDT
Still broken in the latest betas, including the one with OpenGL 4.3.

How can we help debug this... please!?. It's been more than 6 months of releases. Catalyst 13.1 is the last one working, and it has issues with most steam games. We need a fixed driver!...
Comment 20 shu0oosh 2013-07-25 04:10:38 CDT
I can confirm that the problem still persists in the latest betas, with the latest Linux kernel 3.10.2 as of today on a AMD-E450+HD6320 platform and X 1.12.4.

I *urge* the people responsible to fix this laughable regression and like [ianjo] am willing to provide any necessary debugging information.

AMD/ATI Linux support's attitude is as hilarious as ever.
Comment 21 Shabang 2013-07-25 04:45:16 CDT
A workaround for backlight adjustment is to add
acpi_backlight=vendor at kernel line. To do this, follow this:

open with super user privileges file /etc/default/grub then seek for line starting with GRUB_CMDLINE_LINUX_DEFAULT and include acpi_backlight=vendor inside the quotes.

it may appears like this:
GRUB_CMDLINE_LINUX="quiet splash acpi_backlight=vendor"
save it;

then run update-grub with super user privileges
and Reboot
Comment 22 shu0oosh 2013-07-25 05:32:21 CDT
@Shabang
I thank you for your advice. However, workarounds are no problem for me (in my case, I just mapped [remap: ACPI events video/brightnessup and video/brightnessdown] the brightness keys to a script which completely "solves" the issue by repeatedly writing a value > /sys/class/backlight/*/brightness, and also allows to  relatively increase/decrease brightness by saving the brightness value in a temporary file on a tmpfs. The script is set in /etc/sudoers to NOPASSWD: ALL for my user. Works flawlessly.) 

I'm just wondering why it takes half a year to fix an admittedly minor, but inherently bothering and many times confirmed regression like that. True, ACPI is probably no fun, but not taking support seriously is a totally different issue.
Comment 23 Alexandr 2013-07-25 05:54:01 CDT
(In reply to comment #21)
> A workaround for backlight adjustment is to add
> acpi_backlight=vendor at kernel line

It workaround not work on HP A8-3510MX  Ubuntu 13.4 Catalyst 13.4
Comment 24 ianjo 2013-07-25 07:20:58 CDT
(In reply to comment #23)
> (In reply to comment #21)
> > A workaround for backlight adjustment is to add
> > acpi_backlight=vendor at kernel line
> 
> It workaround not work on HP A8-3510MX  Ubuntu 13.4 Catalyst 13.4

Same here. Does not work with fglrx 13.150 (whatever Catalyst that corresponds to...)
Comment 25 shu0oosh 2013-07-25 08:38:54 CDT
(In reply to comment #24)
> (In reply to comment #23)
> > (In reply to comment #21)
> > > A workaround for backlight adjustment is to add
> > > acpi_backlight=vendor at kernel line
> > 
> > It workaround not work on HP A8-3510MX  Ubuntu 13.4 Catalyst 13.4
> 
> Same here. Does not work with fglrx 13.150 (whatever Catalyst that
> corresponds to...)

Try the workaround from the Archlinux forums mentioned above, then. I will describe in the follwing how to install a script as an ACPI event handler that implements said workaround. As the result, the brightness buttons can be used as usual. This solution has been tested on a Debian Sid/Experimental system with acpid in version 1:2.0.19-1. I use this workaround on my system, and it works.

= 1 =
Go to the directory /etc/acpi/events, and create two files with the following contents:

/etc/acpi/events/catalystbug_brightnessup:
event=video[ /]brightnessup
action=/etc/acpi/actions/catalystbug_brightness.sh + 1 1s

/etc/acpi/events/catalystbug_brightnessdown:
event=video[ /]brightnessdown
action=/etc/acpi/actions/catalystbug_brightness.sh - 1 1s

Chmod both files to 644, owned by root.

= 2 =
Go to the directory /etc/acpi/actions, and create the following file:

/etc/acpi/actions/catalystbug_brightness.sh:
#!/bin/sh
API=/sys/class/backlight/acpi_video0/brightness
CURRENT=$(cat $API)
TIMEOUT=1s
STEP=1
if [ $# -eq 0 ]
then
	exit
fi

if [ $# -eq 3 ]
then
	TIMEOUT=$3
fi

if [ $# -eq 2 ]
then
	STEP=$2
fi

if [ $1 = - ]
then
	VAL=$(( $CURRENT-$STEP ))
else
	VAL=$(( $CURRENT+$STEP ))
fi

timeout $TIMEOUT /bin/sh -c "while true; do echo $VAL > $API; done"

Chmod the file to 755, owned by root.

= 3 =
execute

$ sudo service acpid reload

to make the new events & actions known to acpid.

= 4 =
Try your brightness control keys. The brightness should go down and up after a short delay when pressing the down/up key, respectively. If they do not work, or for tunables, read the following section.

CAVEAT: The ACPI event handler from the Catalyst driver is NOT disabled! That means that catalyst might occasionally sabotage your command by setting the brightness itself!

= Debugging / Tunables =
Look at the files you created in /etc/acpi/events, and there at the ^action= line which specifies to call our script in /etc/acpi/actions when the particular event in the ^event= line occurred. The arguments to our script are as follows:

 $1 := Mandatory. Must be a plus (+) or minus (-) sign to increase/decrease brightness.
 $2 := Optional. Must be a positive integer. The step by which to increase/decrease brightness. You might adjust this to suit your particular system. Defaults to 1.
 $3 := Optional. The interval during which we flood the /sys/class/backlight/acpi_video0/brightness file with echo'es of the desired brightness level. This argument has the same format as the DURATION argument to the `timeout`-command, basically a floating point number with a suffix (s = seconds, m=minutes etc). Consult man(1)timeout for more info. This is were you likely want to tune. Start with a high value (so 5s), test if your brightness level goes up/down accordingly, and lower the interval as far as possible, preserving the desired effect. My system for example needs 0.25s here. The argument defaults to 1s.

Or edit the script to your liking.

SHOULD catalyst get fixed at some point, just delete the files you created and reload the acpid-config with sudo service acpid reload.

I didn't subscribe to this bug, but will occasionally drop by if there are questions.

I DENY ANY RESPONSIBILITY FOR ANY DAMAGE THIS MAY DO TO YOUR SYSTEM. PLEASE REGARD THE ABOVE AS A SUGGESTION. DON'T COPY/PASTE CODE FROM THE INTERNET. TYPE IT YOURSELF AND UNDERSTAND IT TO AVOID ANY POSSIBLE MALICIOUS INTENT. THANK YOU.

Cheers! Linux rules!
Comment 26 Jammy 2013-07-28 20:29:27 CDT
Thanks all for the workarounds to solve this problem. We found that all the laptop models mentioned in this thread were shipped with Windows OS pre-installed (please double confirm), which means that they are not validated with the AMD Linux graphics driver. Actually we are tracking this issue from AMD side at the beginning, but we cannot find a laptop in our hand to reproduce this issue. 

And it looks like your platforms are with dual graphics configuration (AMD APU + AMD discrete graphics). So can you check which device is adjusted when press the backlight keys (/sys/class/backlight/acpi_video0/brightness or /sys/class/backlight/acpi_video1/brightness)? Maybe a wrong device is selected, and normally the APU should be charge of the backlight adjustment.
Comment 27 ianjo 2013-07-29 02:08:49 CDT
(In reply to comment #25)
> Try the workaround from the Archlinux forums mentioned above, then. I will
> describe in the follwing how to install a script as an ACPI event handler
> that implements said workaround. As the result, the brightness buttons can
> be used as usual.

Thanks for the workaround. I haven't had the time to try it yet, but thanks for the writeup!

(In reply to comment #26)
> Thanks all for the workarounds to solve this problem. We found that all the
> laptop models mentioned in this thread were shipped with Windows OS
> pre-installed (please double confirm), which means that they are not
> validated with the AMD Linux graphics driver. Actually we are tracking this
> issue from AMD side at the beginning, but we cannot find a laptop in our
> hand to reproduce this issue. 
> 
> And it looks like your platforms are with dual graphics configuration (AMD
> APU + AMD discrete graphics). So can you check which device is adjusted when
> press the backlight keys (/sys/class/backlight/acpi_video0/brightness or
> /sys/class/backlight/acpi_video1/brightness)? Maybe a wrong device is
> selected, and normally the APU should be charge of the backlight adjustment.

My system did come with windows (sigh...) but the first thing I did was dd zeros over the drive.

Anyway, I don't have dual-graphics, I have an AMD E-350 so at least in my case it's not the dual-graphics.

I'd be willing to lend my laptop for testing, and to ship it somwhere, if needed.
Comment 28 shu0oosh_CCed 2013-07-29 10:39:58 CDT
(In reply to comment #26)
> Thanks all for the workarounds to solve this problem. We found that all the
> laptop models mentioned in this thread were shipped with Windows OS
> pre-installed (please double confirm), which means that they are not
> validated with the AMD Linux graphics driver. Actually we are tracking this
> issue from AMD side at the beginning, but we cannot find a laptop in our
> hand to reproduce this issue. 
> 
> And it looks like your platforms are with dual graphics configuration (AMD
> APU + AMD discrete graphics). So can you check which device is adjusted when
> press the backlight keys (/sys/class/backlight/acpi_video0/brightness or
> /sys/class/backlight/acpi_video1/brightness)? Maybe a wrong device is
> selected, and normally the APU should be charge of the backlight adjustment.

My laptop model is the Lenovo X121E (variant: AMD E-450 APU with HD 6320) which is being shipped either with Windows or with DOS preinstalled. I chose the latter version and installed Linux as the first OS. So, it isn't a dual graphics platform either.

Detailed platform info with product ID:

> System:    Host: HOSTNAME Kernel: 3.8-13.dmz.1-liquorix-amd64 x86_64 (64 bit, gcc: 4.7.3) 
>            Desktop: dwm 6.0 dm: xdm Distro: Debian GNU/Linux 7.0
> Machine:   System: LENOVO (portable) product: 30515YG version: ThinkPad X121e Chassis: type: 10
>            Mobo: LENOVO model: 30515YG Bios: LENOVO version: 8RET52WW (1.15 ) date: 11/15/2011
> CPU:       Dual core AMD E-450 APU with Radeon HD Graphics (-MCP-) cache: 1024 KB flags: (lm nx sse sse2 sse3 sse4a ssse3 svm) bmips: 6586.32 
>            Clock Speeds: 1: 825.00 MHz 2: 825.00 MHz
> Graphics:  Card: Advanced Micro Devices [AMD] nee ATI Wrestler [Radeon HD 6320] bus-ID: 00:01.0 chip-ID: 1002:9806 
>            X.Org: 1.12.4 driver: fglrx Resolution: 1366x768@60.0hz 
>            GLX Renderer: AMD Radeon HD 6320 Graphics GLX Version: 4.2.12217 - CPC 8.982.13 Direct Rendering: Yes
Comment 29 Jammy 2013-07-29 20:32:02 CDT
Thanks all for the information. We will try to find similar platform for reproducing again. If any other help needed for this,  I will get back to you.
Comment 30 Alexandr 2013-07-30 02:08:19 CDT
(In reply to comment #26)
> And it looks like your platforms are with dual graphics configuration (AMD
> APU + AMD discrete graphics). So can you check which device is adjusted when
> press the backlight keys (/sys/class/backlight/acpi_video0/brightness or
> /sys/class/backlight/acpi_video1/brightness)? Maybe a wrong device is
> selected, and normally the APU should be charge of the backlight adjustment.

When trying to check acpi_video0 and acpi_video1 folders (brightness file changed only in acpi_video0), found bugly behavior of swich between GPU:
Can not enable High-Performance mode and fps on fgl_glxgears not changed 
even if amdconfig --pxl return:
  PowerXpress: Discrete GPU is active (High-Performance mode).
or fglrxinfo  return:
  display: :0.0  screen: 0
  OpenGL vendor string: Advanced Micro Devices, Inc.
  OpenGL renderer string: AMD Radeon 6600M and 6700M Series
  OpenGL version string: 4.2.12217 Compatibility Profile Context 12.104

6620G & 6700
Is it known bug or amdconfig can fix it?
Comment 31 Jan 2013-07-30 16:04:45 CDT
Backlight is not working on Fedora 18 and Fedora 19 with driver newer than 13.1. I've got black screen (no backlight, the contents are displayed) when X starts. There is no way to change the brightness. I'm not sure whether my problem is the result of the bug which OP described.

Flooding /sys/class/backlight/*/brightness with desired value doesn't give positive results.

Hardware: Asus X43SA-VX095-8 without Windows preloaded, AMD Radeon HD 6730M
Comment 32 phukariflux 2013-07-31 03:04:45 CDT
Model: Asus X53BR with AMD E-450 APU -- HD6320 integrated, HD6400M dedicated (should be actually HD7470, but drivers in Linux show otherwise).
OS: Windows 7 + Xubuntu 12.10
Drivers: latest possible from asus support site for Windows (actually pretty old) and 13.15 beta drivers for Xubuntu

Brightness is adjusted in both "/sys/class/backlight/acpi_video0/brightness" and in "/sys/class/backlight/acpi_video1/brightness" file when fn+brightness_key_up/down is pressed. The actual brightness does not change, the workaround script does not help.

Integrated gpu does not work and X fails to start after "amdconfig --px-igpu", only discrete gpu works "amdconfig --px-dgpu".
Comment 33 sxtreme 2013-08-08 03:02:05 CDT
I followed the steps mentioned here but it didn't work. When I went to /etc/acpi there wasn't actions folder so I created it. I put everything where it's supposed to be but the backlight still no working.

I'm working with:
Model: TOSHIBA L850-118
Ati card: Radeon HD7600
Ati Driver: 13.4(Actually) When I had 13.1 driver the backLight work correctly. 
OS: (only)Linux mint 13 Maya  with MATE
Kernel: 3.2.0-31-generic-pae

In the folder /sys/class/backlight I only have an acpi_video0 file.
Comment 34 Jammy 2013-08-08 03:11:04 CDT
Can you try the command below and reboot the system?

aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1
Comment 35 Alexandr 2013-08-08 05:11:07 CDT
(In reply to comment #34)
> Can you try the command below and reboot the system?
> 
> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1

It's command fix Bug 711 for me! Thanks a lot!
  Laptop: HP Pavilion dv6z-6100
  APU: A8-3510MX
  GPU: 67000M
  OS: Ubuntu 13.4 
  Driver: Catalyst 13.8 beta1
Comment 36 shu0oosh_CCed 2013-08-08 05:35:20 CDT
(In reply to comment #34)
> Can you try the command below and reboot the system?
> 
> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1
(In reply to comment #35)

Jammy: Is it safe to try this command on my AMD E-450 + Radeon HD6320 system or is this HD7600 specific?
Comment 37 Jammy 2013-08-08 06:13:08 CDT
(In reply to comment #36)
> (In reply to comment #34)
> > Can you try the command below and reboot the system?
> > 
> > aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1
> (In reply to comment #35)
> 
> Jammy: Is it safe to try this command on my AMD E-450 + Radeon HD6320 system
> or is this HD7600 specific?

Yes, you can use it as a temporary workaround. And we will try to find a better fix as soon as possible.
Comment 38 sxtreme 2013-08-08 06:30:27 CDT
(In reply to comment #34)
> Can you try the command below and reboot the system?
> 
> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1

Perfect! Now It works, Thanks so much!
Comment 39 ianjo 2013-08-08 17:00:37 CDT
(In reply to comment #34)
> Can you try the command below and reboot the system?
> 
> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1

Same here, this workaround works for my E-350! Thanks a lot!
Comment 40 shu0oosh_CCed 2013-08-08 17:28:59 CDT
(In reply to comment #34)

I also can confirm that this workaround works on my E-450+HD6320 system.
Comment 41 phukariflux 2013-08-10 06:53:26 CDT
Confirming workaround, AMD E-450 APU -- HD6320 integrated, HD6400M dedicated
Comment 42 phukariflux 2013-08-10 07:19:05 CDT
Ok, I don't know if it is related or not, but now "amdconfig --odgt" always shows 88 degrees Celcius:

Default Adapter - AMD Radeon HD 6320 Graphics
                  Sensor 0: Temperature - 88.00 C
Comment 43 Jammy 2013-10-10 19:36:51 CDT
This problem should have been fixed in Catalyst 13.10 Beta and Catalyst 13.11 Beta, please verify.
Comment 44 JayK 2013-10-10 23:33:12 CDT
This update BROKE my backlight adjustment: see bug 926

http://ati.cchtml.com/show_bug.cgi?id=926
Comment 45 zlatan.todoric 2013-10-11 18:09:05 CDT
(In reply to comment #34)
> Can you try the command below and reboot the system?
> 
> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1

This helps for brightness and this http://ati.cchtml.com/show_bug.cgi?id=843 but it seems that now everything is slower.

I had to tune my VLC settings to play videos without tearing and slowing down in fullscreen and I am almost unable to play games on Steam which I did prior using this command.
Comment 46 kampav 2013-10-16 06:50:30 CDT
I am able to adjust backlight soon after system start. But after sleep mode it's broken.
Comment 47 maniu 2013-10-19 04:16:19 CDT
For me, still black screen issue occurs after installing the latest version of fglrx on ubuntu and windows 7 The last such fglrx to 13.1.
X54HR ASUS Notebook, Intel Pentium B940, Radeon HD 7470M.
Sorry for my English ... writes the translator.
Comment 48 ianjo 2013-10-19 08:51:20 CDT
(In reply to comment #43)
> This problem should have been fixed in Catalyst 13.10 Beta and Catalyst
> 13.11 Beta, please verify.

It's fixed.
I first reverted the workaround with 
sudo aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,0
rebooted and the issue came back (I was still using the old driver).

Then I upgraded to Catalyst 13.11 beta, rebooted, and the backlight started working again.

So I believe this can be marked as closed. Thanks for all your hard work, it took a bit longer than expected but it's fixed and that's the most important part :)
Comment 49 kampav 2013-10-20 05:22:53 CDT
Can anyone confirm if backlight adjustment works after wake up from sleep mode?
Comment 50 ianjo 2013-10-20 06:13:40 CDT
(In reply to comment #49)
> Can anyone confirm if backlight adjustment works after wake up from sleep
> mode?

You are right, I can confirm this issue --- it stops working after waking up from sleep. Damn.
Comment 51 shu0oosh_CCed 2013-10-20 07:08:20 CDT
I can confirm that the backlight adjustment cannot be adjusted after waking up from suspend.

-- System info --

Machine:   System: LENOVO (portable) product: 30515YG version: ThinkPad X121e Chassis: type: 10
           Mobo: LENOVO model: 30515YG Bios: LENOVO version: 8RET52WW (1.15 ) date: 11/15/2011
CPU:       Dual core AMD E-450 APU with Radeon HD Graphics (-MCP-) clocked at 1650.00 MHz 
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Wrestler [Radeon HD 6320] bus-ID: 00:01.0 chip-ID: 1002:9806 
           X.Org: 1.12.4 driver: fglrx Resolution: 1366x768@60.0hz 
           GLX Renderer: AMD Radeon HD 6320 Graphics GLX Version: 4.3.12458 - CPC 8.982.13 Direct Rendering: Yes
Comment 52 zlatan.todoric 2013-10-20 19:42:10 CDT
(In reply to comment #34)
> Can you try the command below and reboot the system?
> 
> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1

I can also confirm that this workround also decreases FPS, and
gaming in all is less fluid, slow and has some hangs. Is this
actually expected with this command? (Using 13.11 driver
that still has issues with horizontal bars appearing and dis-
appearing which this command fixes it but damages gaming performance).
Comment 53 Jammy 2013-10-24 05:25:14 CDT
(In reply to comment #51)
> I can confirm that the backlight adjustment cannot be adjusted after waking
> up from suspend.
> 
> -- System info --
> 
> Machine:   System: LENOVO (portable) product: 30515YG version: ThinkPad
> X121e Chassis: type: 10
>            Mobo: LENOVO model: 30515YG Bios: LENOVO version: 8RET52WW (1.15
> ) date: 11/15/2011
> CPU:       Dual core AMD E-450 APU with Radeon HD Graphics (-MCP-) clocked
> at 1650.00 MHz 
> Graphics:  Card: Advanced Micro Devices [AMD/ATI] Wrestler [Radeon HD 6320]
> bus-ID: 00:01.0 chip-ID: 1002:9806 
>            X.Org: 1.12.4 driver: fglrx Resolution: 1366x768@60.0hz 
>            GLX Renderer: AMD Radeon HD 6320 Graphics GLX Version: 4.3.12458
> - CPC 8.982.13 Direct Rendering: Yes

Does the problem happen with previous workaround?
Comment 54 shu0oosh_CCed 2013-10-24 06:39:21 CDT
(In reply to comment #53)
> Does the problem happen with previous workaround?
>> aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1

It happens (probably) without it. Although the command fixed the issue for 13.4, it had great impact on 3D graphics performance (like in comment #45, comment #52), making applications that use OpenGL noticably slower. Also, video playback via OpenGL (mplayer2 -vo gl) and VDPAU (mplayer2 -vo vdpau; using OpenGL and VA-API for rendering/decoding acceleration, via the driver at https://github.com/i-rinat/libvdpau-va-gl) got slower.

I felt free to run

aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,0

in an attempt to reverse the previous command, and at the same time upgraded to 13.11b1. The performance got restored, however I don't know for sure if this is due to the driver upgrade or my command.

I would give it a try if a AMD person could confirm that my command indeed reverts the effects of the damaging command?
Comment 55 zlatan.todoric 2013-10-24 19:03:19 CDT
In new 3.11 I can change brightness but the screen flickering (horizontal bars appear and disappear a lot and very frequently)  is still there. And using aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1 really kills performance but does solve flickering - so the solution is not that good. I still can point out that while using Debian Wheezy and driver there I did not have this problem so maybe checking changelogs could pop out something interesting.
Comment 56 Alexandr 2013-10-28 04:39:21 CDT
13.11-beta6

aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,0
 backlight work, but after suspend stop
 fgl_glxgears - 600-1200fps 

aticonfig --set-pcs-u32=MCIL,PP_PhmUseDummyBackEnd,1
 backlight work, and after suspend
 fgl_glxgears - 100-200fps

In both config starting from 13.11-beta1, some games stop work at all(frieze image on start GRID(wine), Spring RTS, Planetary Annihilation(even not work on 13.10))
Comment 57 zlatan.todoric 2013-11-13 06:35:10 CST
Okay, I installed the new 13.11betav6 and now brightness can be changed but
annoying flickering (horizontal bars appear and disappear) is still there. Didn't yet check 3D capabilities for this version but they seem to be okay (I will do testing, if there is performance impact on 3D I will report if not I will not report).

Cheers
Comment 58 ico 2013-12-11 22:43:04 CST
Hi all,

To add to this problem, I've been testing latest beta drivers and the 13.11 beta does indeed fix the brightness until the laptop is suspended. After that, brightness stops working until either the X server is restarted or the laptop is rebooted.

Hardware: HP dm1-4142nr with AMD E-450 APU (HD 6320) 4GB RAM

Seems like the source of the problem may have been found but the problem is not addressed after resume.
Comment 59 Paul Wolneykien 2013-12-19 18:29:55 CST
(In reply to comment #58)
> Hi all,
> 
> To add to this problem, I've been testing latest beta drivers and the 13.11
> beta does indeed fix the brightness until the laptop is suspended. After
> that, brightness stops working until either the X server is restarted or the
> laptop is rebooted.
> 
> Hardware: HP dm1-4142nr with AMD E-450 APU (HD 6320) 4GB RAM
> 
> Seems like the source of the problem may have been found but the problem is
> not addressed after resume.

Same problem: no backlight control after resume.

$ uname -a
Linux insight.localdomain 3.10.21-std-def-alt1 #1 SMP Sun Dec 1 06:35:13 UTC 2013 x86_64 GNU/Linux

$ lspci | grep 'VGA'
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Sumo [Radeon HD 6480G]
Comment 60 ico 2013-12-22 01:49:01 CST
Aaand, tried 13.12 and still no brightness adjustment after resume...
Comment 61 ico 2014-01-12 10:21:50 CST
Same for the new 13.11-betav9.95 (is this version a misnomer?) released on 1/8/2014 *after* the stable 13.12.

The last driver that had brightness properly working is over a year old (12.1 or something like that). How hard is it to just port that brightness handling logic?
Comment 62 Paul Wolneykien 2014-01-13 09:21:30 CST
What's interesting: the last set backlight value is applied on resume. Thus, if you suspend with 40% backlight value set (i.e. some automatic powersaving) still having 100% actual level, then you get actual 40% after resume with no adequate means to make it lighter.
Comment 63 Blaze 2014-02-07 00:29:52 CST
I can confirm this issue on HD8250 with 3.13 kernel, xserver 1.15, catalyst 14.1 beta.
Comment 64 Blaze 2014-02-07 00:35:46 CST
Forgot to mention that there's even nothing in /sys/class/backlight/ directory.
Comment 65 Alexandr 2014-04-27 06:50:48 CDT
New Version 14.4  backlight work, but after suspend stop working
  
And X have memory leak with catalyst: after 2 hours take 10% from 8GB of RAM and don't stop until memory is over(SWAP is disabled). Is it known bug?
Comment 66 mojtaba 2014-05-06 10:55:04 CDT
i have backlight problem on kernel 3.13 xorg 1.15 ubuntu 14.04   on asus n61jq mobility radeon HD5730 

newest driver version